Subject: Re: bug#48940: 27.2; regression: "emacs --script /dev/stdin" parses the script incorrectly when /dev/stdin is a pipe

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Nov 2021 06:09:00 +0100

"Bryan C. Mills" <[email-masked]> writes:

> I tested the fix locally with a small dummy script as input and it
> seems to work, but I can't be confident that there won't be deeper
> bugs. You're welcome to use it as a starting point for a more robust
> fix.

I tried (on Debian/bullseye with Emacs 29), but it doesn't seem to make
any difference here.  With or without the patch, I get:

larsi@xo:~/src/emacs/trunk$ emake; cat /tmp/script.el | ./src/emacs -Q --script /dev/stdin
Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "/proc/162231/fd/pipe:[1065564]")
  load("/proc/162231/fd/pipe:[1065564]" nil t t)
  command-line-1(("-scriptload" "/dev/stdin"))
  command-line()
  normal-top-level()

Perhaps something further has changed in the meantime?  (You didn't post
an output of the error message you were getting...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no